Bug 147907 - [patch] www/tclhttpd don't hardcode -j2
Summary: [patch] www/tclhttpd don't hardcode -j2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-16 15:30 UTC by Andrius Morkunas
Modified: 2010-12-10 21:52 UTC (History)
0 users

See Also:


Attachments
file.diff (1001 bytes, patch)
2010-06-16 15:30 UTC, Andrius Morkunas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrius Morkunas 2010-06-16 15:30:04 UTC
Replace do-build weirdness with standard target, don't hardcode -j2.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-06-16 15:30:23 UTC
Maintainer of www/tclhttpd,

Please note that PR ports/147907 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/147907

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-06-16 15:30:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Tilman Keskinoz freebsd_committer 2010-08-09 17:18:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

Actually assign to maintainer
Comment 4 Philip M. Gollucci freebsd_committer 2010-12-10 05:42:43 UTC
State Changed
From-To: feedback->open

committer&maintainer timeout (mi ; 123 days) / last commit: 6 days ago 


Comment 5 Philip M. Gollucci freebsd_committer 2010-12-10 05:42:43 UTC
Responsible Changed
From-To: mi->pgollucci

committer&maintainer timeout (mi ; 123 days) / last commit: 6 days ago
Comment 6 Mikhail T. 2010-12-10 19:08:11 UTC
The submitted patch breaks the install-target, which is currently 
performed by the "vendor's" own Makefile.

I'll submit a newer version -- one using _MAKE_JOBS instead of hardcoded 
``-j2'' soon, but the "do-build weirdness" will have to remain. Thanks. 
Yours,

    -mi
Comment 7 dfilter service freebsd_committer 2010-12-10 19:12:33 UTC
mi          2010-12-10 19:12:01 UTC

  FreeBSD ports repository

  Modified files:
    www/tclhttpd         Makefile 
  Log:
  Use _MAKE_JOBS instead of hard-coding the -j2:
  
  PR:     147907
  Submitted by:   Andrius Morkunas
  
  Use the USE_TCL knob and rely on the variables set by bsd.tcl.mk
  instead of figuring them out ourselves. Switching to USE_TCL makes
  this port depend on Tcl-8.5 by default now, hence the PORTREVISION
  bump.
  
  Revision  Changes    Path
  1.21      +13 -17    ports/www/tclhttpd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Philip M. Gollucci freebsd_committer 2010-12-10 21:52:26 UTC
State Changed
From-To: open->closed

missed by mi@